Timeline images either generated without text or even not at all. Sometimes also no map areas as well.
Closed, ResolvedPublic


The timeline images are either generated without text (only graphs, no legends, no descriptions...) or the image is not generated at all.

Take first example timeline on http://www.mediawiki.org/wiki/Extension:EasyTimeline


slight change [shift:($dx,-12) to shift:($dx,-11)] - no text:

another slight change [some random playing with numbers] - no image at all

Sometimes besides nonexistent image HTML source also contains only empty <map> tag without any <area> tags.

Version: unspecified
Severity: major

bzimport set Reference to bz16085.
Danny_B created this task.Via LegacyOct 24 2008, 1:00 AM
Danny_B added a comment.Via ConduitOct 24 2008, 1:08 AM

Example of what I've got when I was tweaking some timeline on w:cs:

<p><map name="a6b0b5ecfd5e5b326f57f059bcac5a4e" id="a6b0b5ecfd5e5b326f57f059bcac5a4e"></map><img usemap="#a6b0b5ecfd5e5b326f57f059bcac5a4e" src="http://upload.wikimedia.org/wikipedia/cs/timeline/a6b0b5ecfd5e5b326f57f059bcac5a4e.png" /></p>

bzimport added a comment.Via ConduitOct 26 2008, 2:23 PM

matthiasbecker1967 wrote:

See also following edit:
(see both versions before and after the edit, near the end of the article)

bzimport added a comment.Via ConduitOct 26 2008, 4:47 PM

str4nd wrote:

*** Bug 16131 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitOct 26 2008, 4:52 PM

str4nd wrote:

See bug 16131: missing FreeSans font: apt-get install ttf-freefont should work. :-)

Ilmari_Karonen added a comment.Via ConduitOct 27 2008, 9:04 PM

Changing product to Wikimedia and adding shell keyword per above.

bzimport added a comment.Via ConduitOct 27 2008, 9:13 PM

jeluf wrote:

Installed the FreeSans font using "dsh -w srv43,srv44,srv45,srv46,srv47 apt-get
install ttf-freefont", can't notice any improvement

bzimport added a comment.Via ConduitOct 28 2008, 12:30 AM

hcp wrote:

More diffs, in case they're useful, to [[w:Template:Trivia progress]]: [http://en.wikipedia.org/w/index.php?title=Template:Trivia_progress&oldid=246786064 This revision] works fine, but [http://en.wikipedia.org/w/index.php?title=Template:Trivia_progress&oldid=247664188 this one] doesn't. The only [http://en.wikipedia.org/w/index.php?title=Template%3ATrivia_progress&diff=247664188&oldid=246786064 difference] between the two is a single number that's been changed.

bzimport added a comment.Via ConduitNov 27 2008, 10:23 PM

limowiki wrote:

Same story here: this is entirely based on an existing timeline image, but simply isn't generated well, i.e. no text either


This is really a severe bug, as it simply breaks a *lot* of content on the different Wikipedia's

brion added a comment.Via ConduitDec 3 2008, 5:26 PM

Ugh, our setup seems to be pretty broken here...

  1. Ploticus isn't installed on a lot of newer machines. It has perhaps slipped out of the automated package installs.
  1. Our config is setting the GD font path (GDFONTPATH env var) to... a directory which doesn't exist.

So 1) is causing no output frequently, and 2) means that most/all of the renders that do happen won't have fonts? Investigating the situation further...

Raymond added a comment.Via ConduitDec 7 2008, 8:58 PM
  • Bug 16585 has been marked as a duplicate of this bug. ***
brion added a comment.Via ConduitDec 9 2008, 11:38 PM


  1. Ploticus was in fact installed, but with a different path and executable name. :P Now using the correct path for the server as detected at runtime.
  1. Have created the font dir, copied in a bunch of fonts which didn't help, and finally copied in FreeSans.ttf which EasyTimeline is hardcoded to use.

New timelines appear to render correctly. Old ones will be re-rendered, and we're currently working out issues with fully expiring the old renderings.

bzimport added a comment.Via ConduitDec 10 2008, 11:43 AM

ta.bu.shi.da.yu wrote:

I just wanted to say that I cannot tell you how happy I am that you have fixed this bug. Thanks Brion!!!!

Add Comment